#include "stdafx.h"
#include "TechObject.h"
#include "CurrentWorld.h"

TechObject::TechObject(const std::string& name, planning::PrimitiveType* type)
  : SparObject(name, type)
  , m_isAcquired(false)
{
}

void TechObject::initialize()
{
  SparObject::initialize();
}

void TechObject::releaseMembers()
{
  SparObject::releaseMembers();
}

void TechObject::setTechAcquired()
{
  assert(!m_isAcquired);

  m_isAcquired = true;
  CurrentWorld::raiseTechAcquired(this);

  updateOutgoingDependencies();
}
